Name: H5Pmodify_filter
Signature:
  herr_t `H5Pmodify_filter`(hid_t `plist`, H5Z_filter_t `filter`, unsigned int `flags`, size_t `cd_nelmts`, const unsigned int `cd_values[]` )
Purpose:
  Modifies a filter in the filter pipeline.
Description:
  `H5Pmodify_filter` modifies the specified `filter` in the filter pipeline. `plist` must be a dataset creation property list and the modified filter will be in a permanent filter pipeline.

  The `filter`, `flags` `cd_nelmts[]`, and `cd_values` parameters are used in the same manner and accept the same values as described in the discussion of H5Pset_filter.

Note:
  This function currently supports only the permanent filter pipeline; `plist_id` must be a dataset creation property list.
Parameters:

hid_t `plist_id` | IN: Property list identifier.
H5Z_filter_t `filter` | IN: Filter to be modified.
unsigned int `flags` | IN: Bit vector specifying certain general properties of the filter.
size_t `cd_nelmts` | IN: Number of elements in `cd_values`.
const unsigned int `cd_values[]` | IN: Auxiliary data for the filter.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pmodify_filter_f

      SUBROUTINE h5pmodify_filter_f(prp_id, filter, flags, cd_nelmts, &
                                    cd_values, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id      ! Property list identifier
        INTEGER, INTENT(IN)        :: filter      ! Filter to be modified
        INTEGER, INTENT(IN)        :: flags       ! Bit vector specifying certain
                                                  ! general properties of the filter
        INTEGER(SIZE_T), INTENT(IN) :: cd_nelmts  ! Number of elements in cd_values
        INTEGER, DIMENSION(*), INTENT(IN) :: cd_values
                                                  ! Auxiliary data for the filter
        INTEGER, INTENT(OUT)       :: hdferr      ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5pmodify_filter_f

History:

Release | C
1.6.0 | Function introduced in this release.